{This example is a part of AYS-NoBo tool made by Andreas 'Yup' Schneider.}
{You can do whatever you like with it.                                   }
{I do NOT take ANY responsibility for it.                                }
{                                                                        }
{This example was made by Seth.                                          }
{If you have any comments, questions, suggestions feel free to e-mail me.}
{If you just want to contact a man that likes Delphi e-mail me.          }
{                                                                        }
{My e-mail - danylenk@lin.com.ua
------------------------------------------------------------------------
{This example illustrates how you can you use AYSNOBO unit without a bitmap}
{Create a  picture and calculated data for it. Then add AYSNOBO unit
 to the uses clause, but don't put the picture on the form. Build your
 application and you'll have a form of the shape your picture is.
 You can change form's color so that the shape look more attractive}
unit Example2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  {You must include AYSNOBO unit} AYSNOBO;

type
  TfrmExample = class(TForm)
    procedure FormCreate(Sender: TObject);
    procedure FormDeactivate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmExample: TfrmExample;

implementation

{$R *.DFM}

procedure TfrmExample.FormCreate(Sender: TObject);
begin
(*These properties could also be done in design-time*)
{These are the dimensions of the image that was used to calculate data}
frmExample.Width := 460;
frmExample.Height := 100;
{This removes caption bar from the form}
frmExample.BorderStyle := bsNone;
{Setting form's color to blue}
frmExample.Color := clBlue;
{Setting the form to the screen's center}
frmExample.Position := poScreenCenter;
{Initializes the nonrectangular window}
NoBoStart(handle);
end;

procedure TfrmExample.FormDeactivate(Sender: TObject);
begin
{Frees the nonrectangular window}
NoBoStop(handle);
end;

end.
